package com.ematou.wxservice.common.xml.builder;

import com.ematou.wxservice.mp.message.WeChatMpXmlOutImageMessage;

/**
 * 构建图片下发消息
 * @author lhm
 * @version 1.0
 * 2021-05-11 15:03
 */
public class ImageBuilder extends BaseBuilder<ImageBuilder, WeChatMpXmlOutImageMessage> {

    private String mediaId;;

    public ImageBuilder mediaId(String mediaId) {
        this.mediaId = mediaId;
        return this;
    }

    @Override
    public WeChatMpXmlOutImageMessage build() {
        WeChatMpXmlOutImageMessage weChatMpXmlOutImageMessage = new WeChatMpXmlOutImageMessage();
        setCommon(weChatMpXmlOutImageMessage);
        weChatMpXmlOutImageMessage.setMediaId(this.mediaId);
        return weChatMpXmlOutImageMessage;
    }
}
